package com.czg.service.order.mapper;

import com.czg.order.entity.ShopTableOrderStatistic;
import com.czg.order.param.TableSummaryParam;
import com.czg.order.vo.TableSummaryExportVo;
import com.czg.order.vo.TableSummaryInfoVo;
import com.mybatisflex.core.BaseMapper;

import java.math.BigDecimal;
import java.util.List;

/**
 * 台桌订单统计表 映射层。
 *
 * @author zs
 * @since 2025-03-07
 */
public interface ShopTableOrderStatisticMapper extends BaseMapper<ShopTableOrderStatistic> {

    List<ShopTableOrderStatistic> selectSummary(Long shopId, String startTime, String endTime);

    boolean incrInfo(long shopId, long tableId, long count, BigDecimal amount, String dateStr);

    List<TableSummaryInfoVo> findSummaryList(TableSummaryParam param);

    List<TableSummaryInfoVo> findSummaryList2(TableSummaryParam param);

    List<TableSummaryExportVo> findSummaryExportList(TableSummaryParam param);
}
